Package org.h2.mvstore

# Class SFChunk

java.lang.Object
org.h2.mvstore.Chunk<SFChunk>
org.h2.mvstore.SFChunk

public final class SFChunk extends Chunk<SFChunk>
Class SFChunk.

- 4/23/22 12:58 PM initial creation

## Nested Class Summary

## Nested classes/interfaces inherited from class org.h2.mvstore.Chunk

`Chunk.PositionComparator<C extends Chunk<C>>`

## Field Summary

### Fields inherited from class org.h2.mvstore.Chunk

`block, buffer, id, len, mapId, MAX_ID, maxLen, maxLenLive, next, time, unused, version`

## Method Summary

Modifier and Type
Method
Description
`protected ByteBuffer`
`readFully(FileStore<SFChunk> fileStore, long filePos, int length)`

### Methods inherited from class org.h2.mvstore.Chunk

`asString, dump, equals, getHeader, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### readFully

protected ByteBuffer readFully(FileStore<SFChunk> fileStore, long filePos, int length)

Specified by:
  `readFully` in class `Chunk<SFChunk>`